package p.packer;

import p.packer.messages.*;

public interface PackerWorkspaceService {
    InitWorkspaceResult initWorkspace(InitWorkspaceRequest request);

    ListAssetsResult listAssets(ListAssetsRequest request);

    GetAssetDetailsResult getAssetDetails(GetAssetDetailsRequest request);

    GetAssetActionsResult getAssetActions(GetAssetActionsRequest request);

    CreateAssetResult createAsset(CreateAssetRequest request);

    RegisterAssetResult registerAsset(RegisterAssetRequest request);
}
